aagc.vo

## Class SceltaRevocaResponselistascelterevoche

- java.lang.Object
- - aagc.vo.SceltaRevocaResponselistascelterevoche

-     public class SceltaRevocaResponselistascelterevoche
      extends java.lang.Object

  Classe Java per SceltaRevocaResponselistascelterevoche complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="SceltaRevocaResponselistascelterevoche">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codFiscale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codIstatNascita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codMotivoRevoca" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="codMotivoScelta" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="codNazionaleAUSL" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataInizioScelta" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataNascita" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataRegistrazRevoca" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataRegistrazScelta" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataRevoca" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="descComuneNascita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descMotivoRevoca" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descMotivoScelta" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="sesso" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codFiscale`
    `protected java.lang.String` | `codIstatNascita`
    `protected int` | `codMotivoRevoca`
    `protected int` | `codMotivoScelta`
    `protected java.lang.String` | `codNazionaleAUSL`
    `protected java.lang.String` | `cognome`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataInizioScelta`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataNascita`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataRegistrazRevoca`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataRegistrazScelta`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataRevoca`
    `protected java.lang.String` | `descComuneNascita`
    `protected java.lang.String` | `descMotivoRevoca`
    `protected java.lang.String` | `descMotivoScelta`
    `protected java.lang.String` | `nome`
    `protected java.lang.String` | `sesso`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SceltaRevocaResponselistascelterevoche()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()` Recupera il valore della proprietà codFiscale.
    `java.lang.String` | `getCodIstatNascita()` Recupera il valore della proprietà codIstatNascita.
    `int` | `getCodMotivoRevoca()` Recupera il valore della proprietà codMotivoRevoca.
    `int` | `getCodMotivoScelta()` Recupera il valore della proprietà codMotivoScelta.
    `java.lang.String` | `getCodNazionaleAUSL()` Recupera il valore della proprietà codNazionaleAUSL.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataInizioScelta()` Recupera il valore della proprietà dataInizioScelta.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataRegistrazRevoca()` Recupera il valore della proprietà dataRegistrazRevoca.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataRegistrazScelta()` Recupera il valore della proprietà dataRegistrazScelta.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataRevoca()` Recupera il valore della proprietà dataRevoca.
    `java.lang.String` | `getDescComuneNascita()` Recupera il valore della proprietà descComuneNascita.
    `java.lang.String` | `getDescMotivoRevoca()` Recupera il valore della proprietà descMotivoRevoca.
    `java.lang.String` | `getDescMotivoScelta()` Recupera il valore della proprietà descMotivoScelta.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `java.lang.String` | `getSesso()` Recupera il valore della proprietà sesso.
    `void` | `setCodFiscale(java.lang.String value)` Imposta il valore della proprietà codFiscale.
    `void` | `setCodIstatNascita(java.lang.String value)` Imposta il valore della proprietà codIstatNascita.
    `void` | `setCodMotivoRevoca(int value)` Imposta il valore della proprietà codMotivoRevoca.
    `void` | `setCodMotivoScelta(int value)` Imposta il valore della proprietà codMotivoScelta.
    `void` | `setCodNazionaleAUSL(java.lang.String value)` Imposta il valore della proprietà codNazionaleAUSL.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataInizioScelta(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataInizioScelta.
    `void` | `setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataNascita.
    `void` | `setDataRegistrazRevoca(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataRegistrazRevoca.
    `void` | `setDataRegistrazScelta(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataRegistrazScelta.
    `void` | `setDataRevoca(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataRevoca.
    `void` | `setDescComuneNascita(java.lang.String value)` Imposta il valore della proprietà descComuneNascita.
    `void` | `setDescMotivoRevoca(java.lang.String value)` Imposta il valore della proprietà descMotivoRevoca.
    `void` | `setDescMotivoScelta(java.lang.String value)` Imposta il valore della proprietà descMotivoScelta.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.
    `void` | `setSesso(java.lang.String value)` Imposta il valore della proprietà sesso.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          protected java.lang.String codFiscale

    - #### codIstatNascita

          protected java.lang.String codIstatNascita

    - #### codMotivoRevoca

          protected int codMotivoRevoca

    - #### codMotivoScelta

          protected int codMotivoScelta

    - #### codNazionaleAUSL

          protected java.lang.String codNazionaleAUSL

    - #### cognome

          protected java.lang.String cognome

    - #### dataInizioScelta

          protected javax.xml.datatype.XMLGregorianCalendar dataInizioScelta

    - #### dataNascita

          protected javax.xml.datatype.XMLGregorianCalendar dataNascita

    - #### dataRegistrazRevoca

          protected javax.xml.datatype.XMLGregorianCalendar dataRegistrazRevoca

    - #### dataRegistrazScelta

          protected javax.xml.datatype.XMLGregorianCalendar dataRegistrazScelta

    - #### dataRevoca

          protected javax.xml.datatype.XMLGregorianCalendar dataRevoca

    - #### descComuneNascita

          protected java.lang.String descComuneNascita

    - #### descMotivoRevoca

          protected java.lang.String descMotivoRevoca

    - #### descMotivoScelta

          protected java.lang.String descMotivoScelta

    - #### nome

          protected java.lang.String nome

    - #### sesso

          protected java.lang.String sesso

  - ### Constructor Detail

    - #### SceltaRevocaResponselistascelterevoche

          public SceltaRevocaResponselistascelterevoche()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

      Recupera il valore della proprietà codFiscale.
      Returns:
        possible object is `String`

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String value)

      Imposta il valore della proprietà codFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatNascita

          public java.lang.String getCodIstatNascita()

      Recupera il valore della proprietà codIstatNascita.
      Returns:
        possible object is `String`

    - #### setCodIstatNascita

          public void setCodIstatNascita(java.lang.String value)

      Imposta il valore della proprietà codIstatNascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodMotivoRevoca

          public int getCodMotivoRevoca()

      Recupera il valore della proprietà codMotivoRevoca.

    - #### setCodMotivoRevoca

          public void setCodMotivoRevoca(int value)

      Imposta il valore della proprietà codMotivoRevoca.

    - #### getCodMotivoScelta

          public int getCodMotivoScelta()

      Recupera il valore della proprietà codMotivoScelta.

    - #### setCodMotivoScelta

          public void setCodMotivoScelta(int value)

      Imposta il valore della proprietà codMotivoScelta.

    - #### getCodNazionaleAUSL

          public java.lang.String getCodNazionaleAUSL()

      Recupera il valore della proprietà codNazionaleAUSL.
      Returns:
        possible object is `String`

    - #### setCodNazionaleAUSL

          public void setCodNazionaleAUSL(java.lang.String value)

      Imposta il valore della proprietà codNazionaleAUSL.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizioScelta

          public javax.xml.datatype.XMLGregorianCalendar getDataInizioScelta()

      Recupera il valore della proprietà dataInizioScelta.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataInizioScelta

          public void setDataInizioScelta(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataInizioScelta.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataNascita

          public javax.xml.datatype.XMLGregorianCalendar getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataNascita

          public void setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataRegistrazRevoca

          public javax.xml.datatype.XMLGregorianCalendar getDataRegistrazRevoca()

      Recupera il valore della proprietà dataRegistrazRevoca.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRegistrazRevoca

          public void setDataRegistrazRevoca(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRegistrazRevoca.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataRegistrazScelta

          public javax.xml.datatype.XMLGregorianCalendar getDataRegistrazScelta()

      Recupera il valore della proprietà dataRegistrazScelta.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRegistrazScelta

          public void setDataRegistrazScelta(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRegistrazScelta.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataRevoca

          public javax.xml.datatype.XMLGregorianCalendar getDataRevoca()

      Recupera il valore della proprietà dataRevoca.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRevoca

          public void setDataRevoca(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRevoca.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDescComuneNascita

          public java.lang.String getDescComuneNascita()

      Recupera il valore della proprietà descComuneNascita.
      Returns:
        possible object is `String`

    - #### setDescComuneNascita

          public void setDescComuneNascita(java.lang.String value)

      Imposta il valore della proprietà descComuneNascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescMotivoRevoca

          public java.lang.String getDescMotivoRevoca()

      Recupera il valore della proprietà descMotivoRevoca.
      Returns:
        possible object is `String`

    - #### setDescMotivoRevoca

          public void setDescMotivoRevoca(java.lang.String value)

      Imposta il valore della proprietà descMotivoRevoca.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescMotivoScelta

          public java.lang.String getDescMotivoScelta()

      Recupera il valore della proprietà descMotivoScelta.
      Returns:
        possible object is `String`

    - #### setDescMotivoScelta

          public void setDescMotivoScelta(java.lang.String value)

      Imposta il valore della proprietà descMotivoScelta.
      Parameters:
        `value` - allowed object is `String`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getSesso

          public java.lang.String getSesso()

      Recupera il valore della proprietà sesso.
      Returns:
        possible object is `String`

    - #### setSesso

          public void setSesso(java.lang.String value)

      Imposta il valore della proprietà sesso.
      Parameters:
        `value` - allowed object is `String`